numactl (2.0.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Ian Wienand ]
  * New upstream version 2.0.14
  * Update compat to 13
  * Update standards version
  * Switch packaging to debhelper (Closes: #950534, #991847, #849009, #895960)

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Sep 2021 15:42:03 +1000

numactl (2.0.12-1) unstable; urgency=medium

  * Update to 2.0.12
  * Update debian/watch file to github
  * Import into salsa.debian.org; add Vcs links to control
  * debian/patches/Allow-building-on-ARM-system.patch:
     - included upstream
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch:
     - included upstream
  * debian/patches/README: remove as better tracked by git commits
    now
  * debian/control.in : remove; just use plain control file as it is out
    of sync.

 -- Ian Wienand <ianw@debian.org>  Sat, 08 Sep 2018 12:51:50 +1000

numactl (2.0.11-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/Allow-building-on-ARM-systems.patch:
    - add __arm__ to avoid failure due to missing syscalls.
    - return -1 and set errno to ENOSYS on migrate_pages function
      if __NR_migrate_pages is undefined, thanks Uwe Kleine-König
      and Tiago Stürmer Daitx. Closes: #796802. LP: #1711478.
  * Install memhog and migspeed. Closes: #882873. Thanks Manoj Iyer.
  * debian/control: Correct project Homepage link. Closes: #894825.
  * Bump Standards-Version to 4.1.4:
    - libnuma-dev is now Priority: optional (extra is deprecated).
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch: Add
    "NAME" section to manpage for proper parsing by commands like apropos
    and whatis.
  * debian/numactl.docs: The upstream changelog is already installed
    as /usr/share/doc/numactl/changelog.gz, no need to install another
    copy.

 -- dann frazier <dannf@debian.org>  Tue, 17 Apr 2018 16:11:23 -0600

numactl (2.0.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Try to build all the packages on all the linux architectures, armel and
    armhf are still not supported, but all the others should to build now.
  * Drop the -dbg package and rely on the automatically built ones (-dbgsym)
  * Switch to 3.0 (quilt) format and drop deprecated simple-patchsys patch
    system
  * Bump Standards-Version to 3.9.8 (no further changes)
  * Add .symbols file for libnuma1

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Dec 2016 19:27:02 +0100

numactl (2.0.11-2) unstable; urgency=medium

  * Fix building with no timestamps with autoconf reconfigure (Closes:
    #814952) (Nishanth Aravamudan <nish.aravamudan@canonical.com>)

 -- Ian Wienand <ianw@debian.org>  Sun, 13 Mar 2016 12:32:36 +1100

numactl (2.0.11-1) unstable; urgency=medium

  * Update to 2.0.11
  * Update copyright to point to new github upstream

 -- Ian Wienand <ianw@debian.org>  Sat, 12 Dec 2015 10:45:27 +1100

numactl (2.0.10-1) unstable; urgency=medium

  * Update to 2.0.10 final
  * Upstream now uses autoconf/make; modify rules file
    to use autotools cdbs class
  * Update standards to 3.9.6 (no changes)
  * Add hppa too (Closes: #764665)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Oct 2014 21:45:46 +1100

numactl (2.0.10~rc2-3) unstable; urgency=medium

  * Turns out that kernel headers aren't generic enough to work anywhere.
    Return arch to "i386 amd64 ia64 mips mipsel mipsn32 mipsn32el mips64
    mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc"
    (Closes: #762449)

 -- Ian Wienand <ianw@debian.org>  Sat, 27 Sep 2014 13:53:11 +1000

numactl (2.0.10~rc2-2) unstable; urgency=medium

  * Change architecture to "any".  There is no reason this can't build
    everywhere.  (Closes: #739725)

 -- Ian Wienand <ianw@debian.org>  Mon, 22 Sep 2014 09:21:33 +1000

numactl (2.0.10~rc2-1) unstable; urgency=medium

  * Upgrade to 2.0.10-rc2
  * Remove 001_no_numa.patch; fixed upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 09 Sep 2014 21:33:32 +1000

numactl (2.0.9-1) unstable; urgency=low

  * Upgrade to 2.0.9
  * Upgrade standards to 3.9.5 (no change)
  * Add 001_no_numa.patch to avoid crash when no NUMA present (Closes:
    #712692)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 12:34:13 +1000

numactl (2.0.9~rc5-1) unstable; urgency=low

  * Upgrade to 2.0.9~rc5
  * Include multi-arch patch, thanks Eleanor Chen <chenyueg@gmail.com>!
    (Closes: #719953)
  * Various updates to multi-arch to make it compliant
  * Remove debian/*.dirs as upstream makes directories
  * Update to compat 9 so dh_strip generates debug pkg with build-id

 -- Ian Wienand <ianw@debian.org>  Thu, 19 Sep 2013 13:45:43 +1000

numactl (2.0.8-3) unstable; urgency=low

  * Add x32 & ppc64 to supported arch list (Closes: #714001)

 -- Ian Wienand <ianw@debian.org>  Wed, 26 Jun 2013 19:38:58 +1000

numactl (2.0.8-2) unstable; urgency=low

  * Add powerpcspe to support arch list (Closes: #711883)
  * Update standards version to 3.9.4 (no changes)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Jun 2013 20:54:58 +1000

numactl (2.0.8-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Nov 2012 12:20:29 -0800

numactl (2.0.8~rc4-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 00:11:37 -0700

numactl (2.0.8~rc3-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Fri, 03 Feb 2012 09:50:36 -0800

numactl (2.0.8~rc2-1) unstable; urgency=low

  * New upstream (Closes: #548030)
  * Update standards to 3.9.2
  * No patches so remove from rules

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Sep 2011 20:56:50 -0700

numactl (2.0.5-1) unstable; urgency=low

  * New upstream
  * Update standards to 3.9.1
  * Update debhelper compat to 7
  * Remove libnuma1.shlibs; should be covered by -V to
    dh_makeshlibs (Closes: #570201)

 -- Ian Wienand <ianw@debian.org>  Wed, 11 Aug 2010 22:32:39 -0700

numactl (2.0.4~rc2-1) unstable; urgency=low

  * New upstream
  * Update standards version, no changes
  * Make dev & dbg packages depend on the exact binary version (Closes:
    #570201)

 -- Ian Wienand <ianw@debian.org>  Thu, 11 Feb 2010 15:20:37 -0800

numactl (2.0.3-1) unstable; urgency=low

  * New upstream
  * Upstream URL in copyright is fixed (Closes: #499425)

 -- Ian Wienand <ianw@debian.org>  Fri, 19 Jun 2009 11:18:56 -0700

numactl (2.0.3~rc3-1) unstable; urgency=low

  * New upstream (Closes: #525014)
  * Move libnuma-dbg to debug section
  * Add ${misc:Depends} deps to packages
  * Update to standards version to 3.8.1

 -- Ian Wienand <ianw@debian.org>  Thu, 30 Apr 2009 08:04:32 -0700

numactl (2.0.3~rc2-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Apr 2009 07:32:53 -0700

numactl (2.0.3~rc1-2) unstable; urgency=low

  * While I'm at it, fix up the upstream location in copyright file
    (Closes: #499425)

 -- Ian Wienand <ianw@debian.org>  Wed, 24 Dec 2008 10:21:22 -0800

numactl (2.0.3~rc1-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Wed, 24 Dec 2008 09:03:30 -0800

numactl (2.0.2+release-1) unstable; urgency=low

  * New upstream, 2.0.2
  * Accidentally used -rcN for the versions below, when I shouldn't have
    put the hyphen in there.  Hence the funny Debian revision - will be
    sure to avoid when upstream moves to 2.0.3...

 -- Ian Wienand <ianw@debian.org>  Wed, 13 Aug 2008 22:08:19 -0700

numactl (2.0.2-rc2) unstable; urgency=low

  * New upstream (Closes: #487954)

 -- Ian Wienand <ianw@debian.org>  Sun, 13 Jul 2008 16:27:55 -0700

numactl (2.0.2-rc1) unstable; urgency=low

  * New upstream
  * Add versioned depends for numactl on >= 2.0.1 due to API changes

 -- Ian Wienand <ianw@debian.org>  Sat, 28 Jun 2008 15:43:21 -0700

numactl (2.0.1+20080610-1) unstable; urgency=low

  * New upstream (no upstrem version number change, stamped with date)
  * All patches now accepted upstream
  * Closes: #485398 -- fixed upstream; thanks for reporting Daniel

 -- Ian Wienand <ianw@debian.org>  Mon, 09 Jun 2008 22:51:15 -0700

numactl (2.0.1-1) unstable; urgency=low

  * New upstream
  * patches/static-lib.patch: update
  * debian/watch: update to new SGI location

 -- Ian Wienand <ianw@debian.org>  Sat, 07 Jun 2008 14:18:22 -0700

numactl (1.0.2-1) unstable; urgency=low

  * New upstream
  * Closes: #442690 -- Add to rules a hack to remove libnuma.a after
    unpatching
  * Update README.debian

 -- Ian Wienand <ianw@debian.org>  Wed, 03 Oct 2007 21:49:27 +1000

numactl (1.0.1-1) unstable; urgency=low

  * New upstream
  * Remove patches/powerpc.patch: fixed upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Aug 2007 15:08:14 +1000

numactl (0.9.11-4) unstable; urgency=low

  * Closes: #423771 -- drop hppa and s390 due to no kernel support, add
    mipsel, thanks Steve Langasek
  * Closes: #423182 -- Install static library; add
    patches/static-lib.patch, update libnuma-dev.install.  Thanks Samuel
    Thibault

 -- Ian Wienand <ianw@debian.org>  Tue, 15 May 2007 21:57:55 +1000

numactl (0.9.11-3) unstable; urgency=low

  * Closes: #419054 -- add migratepages app/man [Anton Blanchard]

 -- Ian Wienand <ianw@debian.org>  Mon, 16 Apr 2007 15:06:29 +1000

numactl (0.9.11-2) unstable; urgency=low

  * add powerpc.patch; fix FTBFS due to typo on PowerPC

 -- Ian Wienand <ianw@debian.org>  Fri,  3 Nov 2006 10:31:24 +1100

numactl (0.9.11-1) unstable; urgency=medium

  * New upstream
  * remove previous patch; now in upstream

 -- Ian Wienand <ianw@debian.org>  Thu,  2 Nov 2006 09:56:10 +1100

numactl (0.9.10-2) unstable; urgency=low

  * add patches/powerpc.patch with migrate_pages syscall.  I am told this
    will be the right number now (see:
    http://lists.debian.org/debian-powerpc/2006/10/msg00329.html)

 -- Ian Wienand <ianw@debian.org>  Mon, 30 Oct 2006 17:04:58 +1100

numactl (0.9.10-1) unstable; urgency=low

  * New upstream
  * Closes: #392316 -- restrict build architectures to i386 amd64 ia64
    s390 mips hppa, as these are the architectures that have all the NUMA
    syscalls wired-up in the current kernel (2.6.18).  Note PowerPC is
    special cased in the code but not enabled -- this is because the
    syscall numbers bewteen libnuma and the kernel don't match up.

 -- Ian Wienand <ianw@debian.org>  Mon, 16 Oct 2006 10:09:37 +1000

numactl (0.9.9-2) unstable; urgency=low

  * Closes: #381318 -- add patch to make sure maths lib included

 -- Ian Wienand <ianw@debian.org>  Fri,  4 Aug 2006 10:34:54 +1000

numactl (0.9.9-1) unstable; urgency=low

  * New upstream
  * Change maintiner email to ianw@debian.org

 -- Ian Wienand <ianw@debian.org>  Mon, 10 Jul 2006 12:28:52 +1000

numactl (0.9.8-1) unstable; urgency=low

  * New upstream
  * Closes: #363450 -- add patch for HPPA support
  * Closes: #372132 -- get_mempolicy man page not around any more

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Tue, 25 Apr 2006 15:21:51 -0700

numactl (0.9.7-1) unstable; urgency=low

  * New upstream
  * remove mkdir patch
  * Closes: #357468 -- add patch for MIPS support

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 31 Mar 2006 08:34:33 +1100

numactl (0.9.6-1) unstable; urgency=low

  * New upstream
  * syscall manpages removed; in man-pages >= 2.27
  * add -dbg package

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Wed, 29 Mar 2006 22:12:42 +1100

numactl (0.9.3-2) unstable; urgency=low

  * Add libdir target in rules to override upstream biarch detection

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 20 Feb 2006 10:47:02 +1100

numactl (0.9.3-1) unstable; urgency=low

  * New upstream
  * Remove __thread detection patch (fixed upstream)

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 13 Feb 2006 21:26:09 +1100

numactl (0.9.2-1) unstable; urgency=low

  * New upstream
  * Closes: #350596 -- check for __thread support
  * Upstream handles /lib64 better; remove patch we had to deal with that.
  * Add a patch to work around a problem with __thread detection

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 13 Feb 2006 11:38:46 +1100

numactl (0.9-1) unstable; urgency=low

  * New upstream
  * Most patches accepted into upstream; see upstream changelog or
    debian/patches/README in source package for history

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Wed,  4 Jan 2006 10:25:27 +1100

numactl (0.8-1) unstable; urgency=low

  * New upstream
  * don't install numamon

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 19 Dec 2005 21:06:46 +1100

numactl (0.7pre2-6) unstable; urgency=low

  * Closes: #329755 -- add expansion of NUMA acronym in control
  * Closes: #343490 -- add patch to assume only one node for SMP
    (patch from Samuel Thibault <samuel.thibault@ens-lyon.org>)

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 16 Dec 2005 10:02:58 +1100

numactl (0.7pre2-5) unstable; urgency=low

  * patches/man-section.diff : fix up man sections to stop lintian
  * move .so out of non-dev package
  * don't autogenerate control file; done by external scripts now

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 25 Nov 2005 17:04:25 +1100

numactl (0.7pre2-4) unstable; urgency=medium

  * update build infrastructre; more patches less modifying upstream
  * Closes: #338358 -- fix typo to put includes in right directory

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu, 10 Nov 2005 10:14:45 +1100

numactl (0.7pre2-3) unstable; urgency=low

  * upload into unstable
  * update standards version
  * workaround for bug#323285 to fix FTBS (see TODO)

 -- Al Stone <ahs3@debian.org>  Sat, 10 Sep 2005 15:52:02 -0600

numactl (0.7pre2-2) experimental; urgency=low

  * add patches/cpubind.diff to fix up --cpubind argument
  * let cdbs handle build deps

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Wed, 10 Aug 2005 18:58:03 +0000

numactl (0.7pre2-1) experimental; urgency=low

  * Initial release.
  * Closes: bug#283443 -- ITP libnuma

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Wed, 15 Dec 2004 15:44:20 +1100
